## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaDiffFileWriter

### DatabaseSchema::ezcDbSchemaDiffFileWriter

### Interface ezcDbSchemaDiffFileWriter

This class provides the interface for file schema differences writers

Source for this file: /DatabaseSchema/src/interfaces/file_diff_writer.php

    ezcDbSchemaDiffWriter
       |
       --ezcDbSchemaDiffFileWriter

Version: | //autogen//

### Method Summary

public void | `saveDiffToFile( $file , $schemaDiff )` Saves the differences in $schemaDiff to the file $file

### Inherited Methods

From ezcDbSchemaDiffWriter
public int | `ezcDbSchemaDiffWriter::getDiffWriterType()` Returns what type of schema difference writer this class implements.

### Methods

#### saveDiffToFile

void saveDiffToFile( string $file , ezcDbSchemaDiff $schemaDiff )

Saves the differences in $schemaDiff to the file $file

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |
`$schemaDiff` | ezcDbSchemaDiff |

Documentation generated by phpDocumentor 1.4.3